Message Queue, v4.5.1 API Specification

## javax.jms
Interface ConnectionMetaData

    public interface ConnectionMetaData

A `ConnectionMetaData` object provides information describing the `Connection` object.

Method Summary
`int` `getJMSMajorVersion()` Gets the JMS major version number.
`int` `getJMSMinorVersion()` Gets the JMS minor version number.
`String` `getJMSProviderName()` Gets the JMS provider name.
`String` `getJMSVersion()` Gets the JMS API version.
`Enumeration` `getJMSXPropertyNames()` Gets an enumeration of the JMSX property names.
`int` `getProviderMajorVersion()` Gets the JMS provider major version number.
`int` `getProviderMinorVersion()` Gets the JMS provider minor version number.
`String` `getProviderVersion()` Gets the JMS provider version.

Method Detail

### getJMSVersion

    String getJMSVersion()
                         throws JMSException

  Gets the JMS API version.

  Returns:
    the JMS API version
  Throws:
    `JMSException` - if the JMS provider fails to retrieve the metadata due to some internal error.

### getJMSMajorVersion

    int getJMSMajorVersion()
                           throws JMSException

  Gets the JMS major version number.

  Returns:
    the JMS API major version number
  Throws:
    `JMSException` - if the JMS provider fails to retrieve the metadata due to some internal error.

### getJMSMinorVersion

    int getJMSMinorVersion()
                           throws JMSException

  Gets the JMS minor version number.

  Returns:
    the JMS API minor version number
  Throws:
    `JMSException` - if the JMS provider fails to retrieve the metadata due to some internal error.

### getJMSProviderName

    String getJMSProviderName()
                              throws JMSException

  Gets the JMS provider name.

  Returns:
    the JMS provider name
  Throws:
    `JMSException` - if the JMS provider fails to retrieve the metadata due to some internal error.

### getProviderVersion

    String getProviderVersion()
                              throws JMSException

  Gets the JMS provider version.

  Returns:
    the JMS provider version
  Throws:
    `JMSException` - if the JMS provider fails to retrieve the metadata due to some internal error.

### getProviderMajorVersion

    int getProviderMajorVersion()
                                throws JMSException

  Gets the JMS provider major version number.

  Returns:
    the JMS provider major version number
  Throws:
    `JMSException` - if the JMS provider fails to retrieve the metadata due to some internal error.

### getProviderMinorVersion

    int getProviderMinorVersion()
                                throws JMSException

  Gets the JMS provider minor version number.

  Returns:
    the JMS provider minor version number
  Throws:
    `JMSException` - if the JMS provider fails to retrieve the metadata due to some internal error.

### getJMSXPropertyNames

    Enumeration getJMSXPropertyNames()
                                     throws JMSException

  Gets an enumeration of the JMSX property names.

  Returns:
    an Enumeration of JMSX property names
  Throws:
    `JMSException` - if the JMS provider fails to retrieve the metadata due to some internal error.

Message Queue, v4.5.1 API Specification

Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.